## plasma5support 6.5.5

=== debian/changelog ===
plasma5support (4:6.5.5-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Feb 2026 15:57:19 +0000

plasma5support (4:6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:02:07 +0000

plasma5support (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:08:58 +0000

=== debian/control ===
Source: plasma5support
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6holidays-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6idletime-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6networkmanagerqt-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6solid-dev (>= 6.18.0~),
               libkf6unitconversion-dev (>= 6.18.0~),
               libksysguard-dev (>= 4:6.5.5~),
               libplasmaactivities-dev (>= 6.5.5~),
               libx11-dev,
               libxfixes-dev,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma5support
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support

Package: libplasma-geolocation-interface6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: plasma-workspace (<< 4:6.2.90~),
Replaces: plasma-workspace (<< 4:6.2.90~),
Description: Plasma geolocation library
 This library provides support for interfacing with geolocation
 provider services like GPS or Mozilla Location Service.

Package: libplasma-geolocation-interface-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libplasma-geolocation-interface6 (= ${binary:Version}),
         ${misc:Depends},
Breaks: plasma-workspace-dev (<< 4:6.2.90~),
Replaces: plasma-workspace-dev (<< 4:6.2.90~),
Description: development files for the Plasma geolocation library
 This library provides support for interfacing with geolocation
 provider services like GPS or Mozilla Location Service.
 .
 This package contains development files for building software that
 uses the Plasma geolocation library.

Package: libplasma5support-data
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: plasma-workspace-data (<< 4:6.5.0~),
Replaces: plasma-workspace-data (<< 4:6.5.0~),
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - data files
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the data files for the shared library.

Package: libplasma5support-dev
Section: libdevel
Architecture: any
Depends: libplasma5support6 (= ${binary:Version}),
         qml6-module-org-kde-plasma-plasma5support (= ${binary:Version}),
         ${misc:Depends},
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - development files
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the development files for the shared library.

Package: libplasma5support6
Section: libs
Architecture: any
Multi-Arch: same
Depends: libplasma5support-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-workspace (<< 4:6.5.0~),
Replaces: plasma-workspace (<< 4:6.5.0~),
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - shared library
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the shared library.

Package: libweather-ion-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libweather-ion7 (= ${binary:Version}),
         ${misc:Depends},
Description: weather data from multiple sources - development files
 Library to get online weather data from multiple sources.
 .
 This package contains the development files for the shared library.

Package: libweather-ion7
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libplasma5support-data (<< 4:6.5.0~),
Replaces: libplasma5support-data (<< 4:6.5.0~),
Description: weather data from multiple sources
 Library to get online weather data from multiple sources.
 .
 This package contains the shared library.

Package: qml6-module-org-kde-plasma-plasma5support
Section: libs
Architecture: any
Multi-Arch: same
Depends: libplasma5support6 (= ${binary:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - QML module
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the QML module.

## plasma5support 6.5.5+p24.04+vstable+git20260126.1119

=== debian/changelog ===
plasma5support (6.5.5+p24.04+vstable+git20260126.1119-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 11:19:57 +0000

plasma5support (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:29:05 +1000

## plasma5support 6.5.5+p24.04+vstable+git20260130.1031

=== debian/changelog ===
plasma5support (6.5.5+p24.04+vstable+git20260130.1031-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 10:31:58 +0000

=== debian/control ===
Source: plasma5support
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kidletime-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-kpackage-dev,
               kf6-kservice-dev,
               kf6-kunitconversion-dev,
               kf6-kxmlgui-dev,
               kf6-networkmanager-qt-dev,
               libgps-dev,
               libksysguard-dev,
               libplasma-dev,
               libxfixes-dev,
               pkg-kde-tools-neon,
               plasma-activities-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-integration
Vcs-Git: https://invent.kde.org/neon/neon-packaging/plasma5support.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/plasma5support
Maintainer: Neon CI <neon@kde.org>

Package: plasma5support
Architecture: any
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-workspace (<< 4:6.5.5)
Replaces: kf6-plasma5support, plasma-workspace (<< 4:6.5.5)
Description: Migration aids for KF5 -> KF6 migration contains:
 Dataengine support is not in the kf6 version of plasma anymore. Dataengines
 should be migrated to QML imports, but in the meantime remaining engines can
 use the dataengine implementation here

Package: plasma5support-dev
Architecture: any
X-Neon-MergedPackage: true
Section: libdevel
Depends: kf6-extra-cmake-modules,
         kf6-kcoreaddons-dev,
         kf6-kservice-dev,
         libxfixes-dev,
         plasma5support (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Breaks: plasma-workspace-dev (<< 4:6.5.5)
Replaces: kf6-plasma5support-dev, plasma-workspace-dev (<< 4:6.5.5)
Description: development files for the migration aids for KF5 -> KF6 migration.
 Contains development files for libplasma5support.

Package: kf6-plasma5support
Architecture: all
Depends: plasma5support, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kf6-plasma5support-dev
Architecture: all
Depends: plasma5support-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## plasma5support 6.5.5+p24.04+vunstable+git20260129.0445

=== debian/changelog ===
plasma5support (6.5.5+p24.04+vunstable+git20260129.0445-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 04:45:05 +0000

## plasma5support 6.5.5+p24.04+vunstable+git20260201.0759

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
set(PROJECT_VERSION "6.6.80")
project(Plasma5Support VERSION ${PROJECT_VERSION})

set(PROJECT_DEP_VERSION "6.5.90")
set(QT_MIN_VERSION "6.10.0")
set(KF6_MIN_VERSION "6.22.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(FeatureSummary)
include(KDEInstallDirs)
include(KDEClangFormat)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(KDEPackageAppTemplates)
include(ECMGenerateQmlTypes)
include(ECMSetupQtPluginMacroNames)
include(ECMMarkNonGuiExecutable)
include(ECMDeprecationSettings)
include(ECMQmlModule)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX PLASMA5SUPPORT
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/plasma5support_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Plasma5SupportConfigVersion.cmake"
                  SOVERSION 6)

add_definitions(-DQT_NO_FOREACH)
################# now find all used packages #################

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Gui Quick Sql Qml Widgets Gui)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(KF6 ${KF_DEP_VERSION} REQUIRED
    COMPONENTS
        Config
        CoreAddons
        GuiAddons
        I18n
        Notifications
        Solid
        Service
        IdleTime
        KIO
        UnitConversion #Weather dataengine
        Holidays #Weather dataengine
)

find_package(KSysGuard CONFIG) #devicenotifications
find_package(KF6NetworkManagerQt) #geolocation
find_package(PlasmaActivities) #activites

option(WITH_X11 "Build mouse data engine with X11 support." ON)
if(WITH_X11)
    find_package(X11 REQUIRED) #mouse
endif()

#########################################################################

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00) # must port away from qmlRegisterInterface before upgrading this to 050f00
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055100)

#########################################################################

include(Plasma5SupportMacros.cmake)

option(BUILD_COVERAGE "Build Plasma5Support Frameworks with gcov support" OFF)

if(BUILD_COVERAGE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lgcov")
endif()

# make plasma5support_version.h available
include_directories(${CMAKE_CURRENT_BINARY_DIR})

################# list the subdirectories #################

add_definitions(-DTRANSLATION_DOMAIN=\"libplasma5support\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()
add_subdirectory(src)

if (BUILD_TESTING)
    find_package(Qt6Test ${REQUIRED_QT_VERSION} REQUIRED)
    add_subdirectory(autotests)
endif()

################ create Plasma5SupportConfig.cmake and install it ###########################

# create a Config.cmake and a ConfigVersion.cmake file and install them

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Plasma5Support")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS Plasma5Support_QCH
        FILE Plasma5SupportQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/Plasma5SupportQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/Plasma5SupportConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/Plasma5SupportConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  CMAKE_INSTALL_PREFIX
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/Plasma5SupportConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/Plasma5SupportConfigVersion.cmake"
  "${CMAKE_CURRENT_SOURCE_DIR}/Plasma5SupportMacros.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT Plasma5SupportTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE Plasma5SupportTargets.cmake
        NAMESPACE Plasma::
        COMPONENT Devel)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plasma5support_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR}/Plasma5Support COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
plasma5support (6.5.5+p24.04+vunstable+git20260201.0759-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 07:59:09 +0000

## plasma5support 6.6.1

=== src/dataengines/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2024 Fushan Wen <qydwhotmail@gmail.com>

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_TO_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

if (TARGET KSysGuard::ProcessCore)
    add_subdirectory(devicenotifications)
endif()
add_subdirectory(favicons)
if (KF6NetworkManagerQt_FOUND)
    add_subdirectory(geolocation)
endif ()
if (PlasmaActivities_FOUND)
    add_subdirectory(activities)
endif ()
add_subdirectory(keystate)
add_subdirectory(hotplug)
add_subdirectory(soliddevice)
add_subdirectory(powermanagement)
add_subdirectory(packagekit)
add_subdirectory(mouse)
add_subdirectory(filebrowser)
add_subdirectory(places)
add_subdirectory(apps)
add_subdirectory(weather)
add_subdirectory(time)
add_subdirectory(executable)

=== src/plasma5support/CMakeLists.txt ===

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-plasma5support.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-plasma5support.h)

add_library(Plasma5Support)
add_library(Plasma::Plasma5Support ALIAS Plasma5Support)

qt_extract_metatypes(Plasma5Support)

set_target_properties(Plasma5Support PROPERTIES
    VERSION     ${PLASMA5SUPPORT_VERSION}
    SOVERSION   ${PLASMA5SUPPORT_SOVERSION}
    EXPORT_NAME Plasma5Support
)

########### next target ###############
target_sources(Plasma5Support PRIVATE
#global
    plasma5support.cpp
    pluginloader.cpp
    version.cpp

#Dataengines, services
    datacontainer.cpp
    dataengine.cpp
    dataengineconsumer.cpp
    service.cpp
    servicejob.cpp
    private/datacontainer_p.cpp
    private/dataenginemanager.cpp
    private/storage.cpp
    private/storagethread.cpp
)

ecm_qt_declare_logging_category(Plasma5Support
    HEADER debug_p.h
    IDENTIFIER LOG_PLASMA5SUPPORT
    CATEGORY_NAME kf.plasma5support.core
    OLD_CATEGORY_NAMES org.kde.plasma5support
    DESCRIPTION "Plasma5Support Core lib"
    EXPORT PLASMA5SUPPORT
)

ecm_generate_export_header(Plasma5Support
    EXPORT_FILE_NAME plasma5support/plasma5support_export.h
    BASE_NAME Plasma5Support
    GROUP_BASE_NAME KF
    VERSION ${PROJECT_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.6 5.19 5.28 5.30 5.36 5.46 5.67 5.77 5.78 5.81
)

target_link_libraries(Plasma5Support
PUBLIC
    KF6::ConfigCore #KConfigGroup
    KF6::CoreAddons
PRIVATE
    Qt::Gui
    Qt::Sql
    Qt::Widgets
    KF6::I18n
    KF6::ConfigGui
    KF6::CoreAddons
)

set(Plasma5Support_BUILD_INCLUDE_DIRS
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}/Plasma5Support
)
target_include_directories(Plasma5Support PUBLIC
  "$<BUILD_INTERFACE:${Plasma5Support_BUILD_INCLUDE_DIRS}>"
)
target_include_directories(Plasma5Support INTERFACE
  "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR};${KDE_INSTALL_INCLUDEDIR}/Plasma5Support>"
)

set_target_properties(Plasma5Support PROPERTIES
                                VERSION ${PLASMA5SUPPORT_VERSION}
                                SOVERSION ${PLASMA5SUPPORT_SOVERSION}
                                EXPORT_NAME Plasma5Support
                      )

########### install files ###############
ecm_generate_headers(Plasma5Support_CamelCase_HEADERS
    HEADER_NAMES
        DataContainer
        DataEngine
        DataEngineConsumer
        PluginLoader
        Service
        ServiceJob
        Plasma5Support
    REQUIRED_HEADERS Plasma5Support_HEADERS
    PREFIX Plasma5Support
)

set(Plasma5Support_HEADERS
    ${Plasma5Support_HEADERS}
    version.h
)

install(FILES
        ${Plasma5Support_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/plasma5support/plasma5support_export.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR}/Plasma5Support/plasma5support COMPONENT Devel)

install(FILES ${Plasma5Support_CamelCase_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR}/Plasma5Support/Plasma5Support COMPONENT Devel)

install(FILES data/operations/dataengineservice.operations DESTINATION ${PLASMA5SUPPORT_DATA_INSTALL_DIR}/services)
install(FILES data/operations/plasmoidservice.operations DESTINATION ${PLASMA5SUPPORT_DATA_INSTALL_DIR}/services)
install(FILES data/operations/storage.operations DESTINATION ${PLASMA5SUPPORT_DATA_INSTALL_DIR}/services)
install(FILES data/operations/statusnotifieritem.operations DESTINATION ${PLASMA5SUPPORT_DATA_INSTALL_DIR}/services)

install(TARGETS Plasma5Support EXPORT Plasma5SupportTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

if(BUILD_QCH)
    ecm_add_qch(
        Plasma5Support_QCH
        NAME Plasma5Support
        BASE_NAME Plasma5Support
        VERSION ${PROJECT_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${Plasma5Support_HEADERS}
            ${PlasmaScripting_HEADERS}
            Mainpage.dox
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt6Gui_QCH
            KF6Service_QCH
            KF6Package_QCH
        INCLUDE_DIRS
            ${Plasma5Support_BUILD_INCLUDE_DIRS}
        BLANK_MACROS
            PLASMA5SUPPORT_EXPORT
            PLASMA5SUPPORT_DEPRECATED
            PLASMA5SUPPORT_DEPRECATED_EXPORT
            "PLASMA5SUPPORT_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== src/dataengines/devicenotifications/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN=\"libplasma5support\")
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_engine_devicenotifications\")

set(device_notifications_engine_SRCS
    devicenotificationsengine.cpp
    ksolidnotify.cpp
    devicenotificationsengine.h
    ksolidnotify.h
)

add_library(plasma_engine_devicenotifications MODULE ${device_notifications_engine_SRCS})

target_link_libraries(plasma_engine_devicenotifications
    KF6::I18n
    KF6::Notifications
    KF6::Solid
    KSysGuard::ProcessCore
    Plasma::Plasma5Support
)

install(TARGETS plasma_engine_devicenotifications DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma5support/dataengine)

=== src/dataengines/hotplug/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN=\"libplasma5support\")
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_engine_hotplug\")

set(hotplug_engine_SRCS
    deviceserviceaction.cpp
    hotplugengine.cpp
    hotplugservice.cpp
    hotplugjob.cpp
    deviceserviceaction.h
    hotplugengine.h
    hotplugservice.h
    hotplugjob.h
)

kcoreaddons_add_plugin(plasma_engine_hotplug SOURCES ${hotplug_engine_SRCS} INSTALL_NAMESPACE plasma5support/dataengine)
target_link_libraries(plasma_engine_hotplug
    KF6::CoreAddons
    KF6::Solid
    KF6::Service
    KF6::KIOCore
    KF6::KIOGui # KIO::CommandLauncherJob
    KF6::JobWidgets # KNotificationJobUiDelegate
    KF6::Notifications
    KF6::I18n
    Plasma::Plasma5Support
)

install(FILES hotplug.operations DESTINATION ${PLASMA5SUPPORT_DATA_INSTALL_DIR}/services)

=== src/dataengines/powermanagement/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN=\"libplasma5support\")
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_engine_powermanagement\")

set(powermanagement_engine_SRCS
    powermanagementengine.cpp
    powermanagementjob.cpp
    powermanagementservice.cpp
    powermanagementengine.h
    powermanagementjob.h
    powermanagementservice.h
)

kcoreaddons_add_plugin(plasma_engine_powermanagement SOURCES ${powermanagement_engine_SRCS} INSTALL_NAMESPACE plasma5support/dataengine)

target_link_libraries(plasma_engine_powermanagement
    KF6::Solid
    KF6::IdleTime
    KF6::CoreAddons
    KF6::I18n
    KF6::Service
    Qt::DBus
    Qt::Gui
    Plasma::Plasma5Support
)

install(FILES powermanagementservice.operations DESTINATION ${PLASMA5SUPPORT_DATA_INSTALL_DIR}/services)

=== src/dataengines/soliddevice/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN=\"libplasma5support\")
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_engine_soliddevice\")

set(soliddevice_engine_SRCS
    soliddeviceengine.cpp
    devicesignalmapper.cpp
    devicesignalmapmanager.cpp
    hddtemp.cpp
    soliddeviceservice.cpp
    soliddevicejob.cpp
    soliddeviceengine.h
    devicesignalmapper.h
    devicesignalmapmanager.h
    hddtemp.h
    soliddeviceservice.h
    soliddevicejob.h
)

kcoreaddons_add_plugin(plasma_engine_soliddevice SOURCES ${soliddevice_engine_SRCS} INSTALL_NAMESPACE plasma5support/dataengine)

target_link_libraries(plasma_engine_soliddevice
  Qt::Network
  KF6::I18n
  KF6::KIOCore
  Plasma::Plasma5Support
  KF6::Solid
  KF6::CoreAddons
  KF6::Notifications
)

install(FILES soliddevice.operations DESTINATION ${PLASMA5SUPPORT_DATA_INSTALL_DIR}/services )

=== src/dataengines/weather/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN=\"libplasma5support\")
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_engine_weather\")
remove_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x50f02)

add_subdirectory(ions)

set(weather_SRCS weatherengine.cpp weatherengine.h)
ecm_qt_declare_logging_category(weather_SRCS
    HEADER weatherenginedebug.h
    IDENTIFIER WEATHER
    CATEGORY_NAME kde.dataengine.weather
    DEFAULT_SEVERITY Info
    DESCRIPTION "DataEngine weather engine"
    EXPORT PLASMAWORKSPACE
)

kcoreaddons_add_plugin(plasma_engine_weather SOURCES ${weather_SRCS} INSTALL_NAMESPACE plasma5support/dataengine)
target_compile_definitions(plasma_engine_weather PRIVATE -DQT_DISABLE_DEPRECATED_BEFORE=0x050e00) # needed for QNetworkConfigurationManager

target_link_libraries (plasma_engine_weather
            KF6::KIOCore
            KF6::Solid
            Plasma::Plasma5Support
            KF6::Service
            Qt::Network
            weather_ion)

=== debian/changelog ===
plasma5support (4:6.6.1-0ubuntu2) resolute; urgency=medium

  * Bump more breaks/replaces to 6.6.0 for files moved from plasma-
    workspace-data package.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Mar 2026 05:27:25 +0000

plasma5support (4:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * Increase version for Breaks/Replaces.
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:17:25 +0000

=== debian/control ===
Source: plasma5support
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.22.0~),
               libkf6config-dev (>= 6.22.0~),
               libkf6coreaddons-dev (>= 6.22.0~),
               libkf6guiaddons-dev (>= 6.22.0~),
               libkf6holidays-dev (>= 6.22.0~),
               libkf6i18n-dev (>= 6.22.0~),
               libkf6idletime-dev (>= 6.22.0~),
               libkf6kio-dev (>= 6.22.0~),
               libkf6networkmanagerqt-dev (>= 6.22.0~),
               libkf6notifications-dev (>= 6.22.0~),
               libkf6service-dev (>= 6.22.0~),
               libkf6solid-dev (>= 6.22.0~),
               libkf6unitconversion-dev (>= 6.22.0~),
               libksysguard-dev (>= 4:6.6.1~),
               libplasmaactivities-dev (>= 6.6.1~),
               libx11-dev,
               libxfixes-dev,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.10.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.10.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma5support
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma5support

Package: libplasma-geolocation-interface6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: plasma-workspace (<< 4:6.2.90~),
Replaces: plasma-workspace (<< 4:6.2.90~),
Description: Plasma geolocation library
 This library provides support for interfacing with geolocation
 provider services like GPS or Mozilla Location Service.

Package: libplasma-geolocation-interface-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libplasma-geolocation-interface6 (= ${binary:Version}),
         ${misc:Depends},
Breaks: plasma-workspace-dev (<< 4:6.2.90~),
Replaces: plasma-workspace-dev (<< 4:6.2.90~),
Description: development files for the Plasma geolocation library
 This library provides support for interfacing with geolocation
 provider services like GPS or Mozilla Location Service.
 .
 This package contains development files for building software that
 uses the Plasma geolocation library.

Package: libplasma5support-data
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: plasma-workspace-data (<< 4:6.6.0~),
Replaces: plasma-workspace-data (<< 4:6.6.0~),
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - data files
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the data files for the shared library.

Package: libplasma5support-dev
Section: libdevel
Architecture: any
Depends: libplasma5support6 (= ${binary:Version}),
         qml6-module-org-kde-plasma-plasma5support (= ${binary:Version}),
         ${misc:Depends},
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - development files
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the development files for the shared library.

Package: libplasma5support6
Section: libs
Architecture: any
Multi-Arch: same
Depends: libplasma5support-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-workspace (<< 4:6.6.0~),
Replaces: plasma-workspace (<< 4:6.6.0~),
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - shared library
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the shared library.

Package: libweather-ion-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libweather-ion7 (= ${binary:Version}),
         ${misc:Depends},
Description: weather data from multiple sources - development files
 Library to get online weather data from multiple sources.
 .
 This package contains the development files for the shared library.

Package: libweather-ion7
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libplasma5support-data (<< 4:6.5.0~),
Replaces: libplasma5support-data (<< 4:6.5.0~),
Description: weather data from multiple sources
 Library to get online weather data from multiple sources.
 .
 This package contains the shared library.

Package: qml6-module-org-kde-plasma-plasma5support
Section: libs
Architecture: any
Multi-Arch: same
Depends: libplasma5support6 (= ${binary:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: support components for porting from KF5/Qt5 to KF6/Qt6 - QML module
 Plasma5Support Framework providing migration aids for KF5 -> KF6 migrations.
 .
 This package contains the QML module.

## plasma5support 6.6.2

=== src/dataengines/keystate/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN=\"libplasma5support\")
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_engine_keystate\")

set(keystate_engine_SRCS
    keystate.cpp
    keyservice.cpp
    keystate.h
    keyservice.h
)

kcoreaddons_add_plugin(plasma_engine_keystate SOURCES ${keystate_engine_SRCS} INSTALL_NAMESPACE plasma5support/dataengine)

target_link_libraries(plasma_engine_keystate
    KF6::GuiAddons
    Plasma::Plasma5Support
    KF6::I18n
)

install(FILES modifierkeystate.operations DESTINATION ${PLASMA5SUPPORT_DATA_INSTALL_DIR}/services)

=== debian/changelog ===
plasma5support (4:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:25:19 +0000

=== debian/control ===
--- 
+++ 
@@ -23,8 +23,8 @@
                libkf6service-dev (>= 6.22.0~),
                libkf6solid-dev (>= 6.22.0~),
                libkf6unitconversion-dev (>= 6.22.0~),
-               libksysguard-dev (>= 4:6.6.1~),
-               libplasmaactivities-dev (>= 6.6.1~),
+               libksysguard-dev (>= 4:6.6.2~),
+               libplasmaactivities-dev (>= 6.6.2~),
                libx11-dev,
                libxfixes-dev,
                libxkbcommon-dev,
